> sar 命令用于获取进程分别在用户模式与内核模式下运行的时间比例。我们通过每秒采集一次数据，来看看每个 CPU 核心到底在运行什么。

```bash
sar -P ALL 2 6
```
> 代表每2秒记录一次  一共记录6次

---

运行输出
```
11:55:19 AM     CPU     %user     %nice   %system   %iowait    %steal     %idle
11:55:20 AM     all      1.01      0.00      0.00      1.01      0.00     97.99
11:55:20 AM       0      0.00      0.00      0.00      1.01      0.00     98.99
11:55:20 AM       1      2.00      0.00      0.00      1.00      0.00     97.00
```

用户模式（进程） = %user + %nice

内核模式（系统调用） = %system

空闲 = %idle

