> strace命令可以追踪进程发起了哪些系统调用

为了防止 strace 命令输出的数据与程序本身的输出混在一起，在使用 strace 命令时，我们加上 -o 选项，令其输出保存到指定的文件内。

```bash
strace -o hello.log ./hello
```


在 strace 命令后加上 -T 选项，就能以微秒级的精度来采集各种系统调用所消耗的实际时间。

```bash
strace -T -o hello.log ./hello
```